Subject: Re: [X2Go-Dev] Bug#126: x2gobroker only works in debug-mode

From: Mike Gabriel <[email-masked]>
Date: Thu, 28 Feb 2013 17:05:18 +0100

tag #126 wontfix
thanks

Dear Anders,

On Do 28 Feb 2013 13:06:05 CET Anders Bruun Olsen wrote:

> Package: x2gobroker
> Version: 0.0.0.5
>
> When I have X2GOBROKER_DEBUG=1 in /etc/default/x2gobroker-daemon, it
> returns the correct information:
>
> $ curl "
> http://x2go-broker.dsl.lan:8080/plain/inifile/?task=selectsession&sid=term-internal
> "
> Access granted
> SERVER:testterm1.dsl.lan:22
>
> However, when I set X2GOBROKER_DEBUG=0 or completely remove that line, this
> is what I get:
> $ curl "
> http://x2go-broker.dsl.lan:8080/plain/inifile/?task=selectsession&sid=term-internal
> "
> 404 Not Found

The above described phenomenon is intended behaviour.

In X2GOBROKER_DEBUG mode (=1) both http request methods (POST, GET)  
are possible and deliver a proper result. The curl command issues a  
GET request.

Without X2GOBROKER_DEBUG mode (=0) the GET request is disable and  
result in 404 Not Found. X2Go Client however, will just work fine, as  
it issues a POST request.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb